Re: ppc e500v2 support?


Mark Hatle <mark.hatle@...>
 

On 11/3/10 10:34 AM, Frans Meulenbroeks wrote:
Hi,

I'm trying to add my powerpc board to yocto (as a test). This board
mpc8536ds has an e500v2 core. It works under OE (MACHINE =
"calamari"). but gcc-cross-initial fails in do_compile when it tries
to run configure for the libgcc subdir.
The problem is similar to http://patchwork.openembedded.org/patch/2026/
At this point we have no added any e500 support to Poky.

It would certainly be interesting to me to add/enable e500 support, as well as other spe optimizations that eglibc might provide.

--Mark

Basically gcc-cross-initial fails building libgcc, config.log has:
cc1: error: not configured for ABI: 'spe'

I feel this is related to the generation of the host triplet.
OE has conf/distro/include/sane-toolchain.inc which has a func
compute_os_portion_of_target_triplet
this one adds gnuspe to the host triplet (and maybe some other things).

poky does not give me that part of the triplet.

Anyone an idea what is wrong (I can provide machine description etc,
but it is also all in the OE git).

Best regards, Frans
_______________________________________________
yocto mailing list
yocto@yoctoproject.org
https://lists.pokylinux.org/listinfo/yocto

Join yocto@lists.yoctoproject.org to automatically receive all group messages.